<%@ page language="java" pageEncoding="UTF-8" session="false"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<fmt:setLocale value="${reqVars.localeCurrent}" scope="request"/>
<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <script type="text/javascript" src="../static/js/beige.ajax.js"></script>
  <script type="text/javascript" src="../static/js/beige.form.js"></script>
  <script type="text/javascript" src="../static/js/beige.i18n.${reqVars.lang}.js"></script>
  <script type="text/javascript" src="../static/js/autoNumeric.js"></script>
  <link rel="stylesheet" href="../static/css/beige.common.css" />
  <link rel="icon" type="image/png"  href="../static/img/favicon.png">
  <title>Beige WEB</title>
</head>
<body>

  <div class="navbar">
    <a class="navbar-brand" href="main.jsp">Main</a>
    <div class="dropdown">
      <a href="#" class="dropdown-btn">Entities</a>
      <div class="dropdown-content">
        <a href="#" onclick="getHtmlByAjax('GET', 'service/?nmHnd=handlerEntityRequest&nmsAct=list&nmRnd=listWholeJson&nmEnt=EmailConnect&page=1');">${srvI18n.getMsg("EmailConnects", reqVars.lang)}</a>
        <a href="#" onclick="getHtmlByAjax('GET', 'service/?nmHnd=handlerEntityRequest&nmsAct=list&nmRnd=listWholeJson&nmEnt=EmailMsg&page=1');">${srvI18n.getMsg("EmailMsgs", reqVars.lang)}</a>
        <a href="#" onclick="getHtmlByAjax('GET', 'service/?nmHnd=handlerEntityRequest&nmsAct=list&nmRnd=listWholeJson&nmEnt=UserTomcat&page=1');">${srvI18n.getMsg("UserTomcats", reqVars.lang)}</a>
        <a href="#" onclick="getHtmlByAjax('GET', 'service/?nmHnd=handlerEntityRequest&nmsAct=list&nmRnd=listWholeJson&nmEnt=UserRoleTomcat&page=1');">${srvI18n.getMsg("UserRoleTomcats", reqVars.lang)}</a>
        <a href="#" onclick="getHtmlByAjax('GET', 'service/?nmHnd=handlerEntityRequest&nmsAct=list&nmRnd=listWholeJson&nmEnt=UserJetty&page=1');">${srvI18n.getMsg("UserJettys", reqVars.lang)}</a>
        <a href="#" onclick="getHtmlByAjax('GET', 'service/?nmHnd=handlerEntityRequest&nmsAct=list&nmRnd=listWholeJson&nmEnt=RoleJetty&page=1');">${srvI18n.getMsg("RoleJettys", reqVars.lang)}</a>
        <a href="#" onclick="getHtmlByAjax('GET', 'service/?nmHnd=handlerEntityRequest&nmsAct=list&nmRnd=listWholeJson&nmEnt=UserRoleJetty&page=1');">${srvI18n.getMsg("UserRoleJettys", reqVars.lang)}</a>
        <a href="#" onclick="getHtmlByAjax('GET', 'service/?nmHnd=handlerEntityRequest&nmsAct=list&nmRnd=listWholeJson&nmEnt=Languages&page=1');">${srvI18n.getMsg("Languagess", reqVars.lang)}</a>
        <a href="#" onclick="getHtmlByAjax('GET', 'service/?nmHnd=handlerEntityRequest&nmsAct=list&nmRnd=listWholeJson&nmEnt=Countries&page=1');">${srvI18n.getMsg("Countriess", reqVars.lang)}</a>
        <a href="#" onclick="getHtmlByAjax('GET', 'service/?nmHnd=handlerEntityRequest&nmsAct=list&nmRnd=listWholeJson&nmEnt=DecimalSeparator&page=1');">${srvI18n.getMsg("DecimalSeparators", reqVars.lang)}</a>
        <a href="#" onclick="getHtmlByAjax('GET', 'service/?nmHnd=handlerEntityRequest&nmsAct=list&nmRnd=listWholeJson&nmEnt=DecimalGroupSeparator&page=1');">${srvI18n.getMsg("DecimalGroupSeparators", reqVars.lang)}</a>
        <a href="#" onclick="getHtmlByAjax('GET', 'service/?nmHnd=handlerEntityRequest&nmsAct=list&nmRnd=listWholeJson&nmEnt=LangPreferences&page=1');">${srvI18n.getMsg("LangPreferencess", reqVars.lang)}</a>
        <a href="#" onclick="getHtmlByAjax('GET', 'service/?nmRnd=aboutJson&nmHnd=hndAbout');">${srvI18n.getMsg("about", reqVars.lang)}</a>
        <a href="#" onclick="openDlg('dlgI18n');">${srvI18n.getMsg("changeLangPreferences", reqVars.lang)}</a>
      </div>
    </div>
    <div class="nav-right">
      <a href="http://www.beigesoft.org/" target="_blank">Beigesoft ™</a>
      <c:if test="${not empty pageContext['request'].userPrincipal}">
        <a href="../index.jsp?logoff=true">${pageContext['request'].userPrincipal.name} Logout</a>
      </c:if>
      <c:if test="${empty pageContext['request'].userPrincipal}">
        <a href="../index.jsp">Exit</a>
      </c:if>
    </div>
  </div>  

  <div id="lstMainPlace">
  </div>
  
  <div id="frmMainPlace">
  </div>

  <div id="frmSubPlace">
  </div>

  <div id="pickersPlace">
  </div>

  <div id="pickersPlaceDub">
  </div>

  <div id="targetInfo">
  </div>

  <dialog id="dlgConfirm" class="dlg dlg-alert">
      <div class="confirm">
        <div class="dialog-title confirm-title">
          ${srvI18n.getMsg("Conformation", reqVars.lang)}.
          <button onclick="document.getElementById('dlgConfirm').close();" class="btn-close btn-confirm">x</button>
        </div>
        <div id="confirmPlace" class="msg-place">
        </div>
        <div class="dlg-actions">
          <button id="confirmYes" class="btn btn-act btn-confirm">${srvI18n.getMsg("Yes", reqVars.lang)}</button>
          <button onclick="document.getElementById('dlgConfirm').close();" class="btn btn-act btn-confirm">${srvI18n.getMsg("No", reqVars.lang)}</button>
        </div>
     </div>
  </dialog>

  <dialog id="dlgI18n" class="dlg dlg-alert">
      <div class="confirm">
        <div class="dialog-title confirm-title">
          ${srvI18n.getMsg("changeLangPreferences", reqVars.lang)}
          <button onclick="document.getElementById('dlgI18n').close();" class="btn-close btn-confirm">x</button>
        </div>
        <form id="lngPrefFrm" action="jspd?nmRnd=main" method="POST">
          <div>
            <table class="tbl-fieldset">
              <tbody>
                <tr>
                  <td>
                    <label>${srvI18n.getMsg("lang", reqVars.lang)}</label>
                  </td>
                  <td>
                    <div class="input-line">
                      <select name="lang" onchange="inputHasBeenChanged(this);">
                        <c:forEach var="it" items="${reqVars.languages}">
                          <c:set var="itmSel" value=""/>
                          <c:if test="${reqVars.lang eq it.itsId}">
                            <c:set var="itmSel" value="selected"/>
                          </c:if>
                          <option value="${it.itsId}" ${itmSel}>${it.itsName}</option>
                        </c:forEach>
                      </select>
                    </div>
                  </td>
                </tr>
                <tr>
                  <td>
                    <label>${srvI18n.getMsg("decimalSep", reqVars.lang)}</label>
                  </td>
                  <td>
                    <div class="input-line">
                      <select name="dseparator" onchange="inputHasBeenChanged(this);">
                        <c:forEach var="it" items="${reqVars.decimalSeparators}">
                          <c:set var="itmSel" value=""/>
                          <c:if test="${reqVars.dseparator eq it.itsId}">
                            <c:set var="itmSel" value="selected"/>
                          </c:if>
                          <option value="${it.itsId}" ${itmSel}>${srvI18n.getMsg(it.itsName)}</option>
                        </c:forEach>
                      </select>
                    </div>
                  </td>
                </tr>
                <tr>
                  <td>
                    <label>${srvI18n.getMsg("decimalGroupSep", reqVars.lang)}</label>
                  </td>
                  <td>
                    <div class="input-line">
                      <select name="dgseparator" onchange="inputHasBeenChanged(this);">
                        <c:forEach var="it" items="${reqVars.decimalGroupSeparators}">
                          <c:set var="itmSel" value=""/>
                          <c:if test="${reqVars.dgseparator eq it.itsId}">
                            <c:set var="itmSel" value="selected"/>
                          </c:if>
                          <option value="${it.itsId}" ${itmSel}>${srvI18n.getMsg(it.itsName)}</option>
                        </c:forEach>
                      </select>
                    </div>
                  </td>
                </tr>
                <tr>
                  <td>
                    <label>${srvI18n.getMsg("digitsInGroup", reqVars.lang)}</label>
                  </td>
                  <td>
                    <div class="input-line">
                      <select name="digitsInGroup" onchange="inputHasBeenChanged(this);">
                        <c:set var="itmSel" value=""/>
                        <c:if test="${reqVars.digitsInGroup == 2}">
                          <c:set var="itmSel" value="selected"/>
                        </c:if>
                        <option value="2" ${itmSel}>2 ${srvI18n.getMsg("Indian", reqVars.lang)}</option>
                        <c:set var="itmSel" value=""/>
                        <c:if test="${reqVars.digitsInGroup == 3}">
                          <c:set var="itmSel" value="selected"/>
                        </c:if>
                        <option value="3" ${itmSel}>3</option>
                        <c:set var="itmSel" value=""/>
                        <c:if test="${reqVars.digitsInGroup == 4}">
                          <c:set var="itmSel" value="selected"/>
                        </c:if>
                        <option value="4" ${itmSel}>4</option>
                      </select>
                    </div>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
          <div class="dlg-actions">
            <input style="display: none" id="lngPrefFrmFakeSubmit" type="submit">
            <button type="submit" class="btn btn-act btn-confirm" onclick="return checkForm(this.form, true);">${srvI18n.getMsg("Apply", reqVars.lang)}</button>
            <button type="button" onclick="document.getElementById('dlgI18n').close(); return false;" class="btn btn-act btn-confirm">${srvI18n.getMsg("Close", reqVars.lang)}</button>
          </div>
        </form>
     </div>
  </dialog>

  <dialog id="dlgError" class="dlg dlg-alert">
      <div class="error">
        <div class="dialog-title error-title">
          ${srvI18n.getMsg("Error", reqVars.lang)}!
          <button onclick="document.getElementById('dlgError').close()" class="btn-close btn-error">x</button>
        </div>
        <div id="errorPlace" class="msg-place">
        </div>
     </div>
  </dialog>

  <dialog id="dlgWarning" class="dlg dlg-alert">
    <div class="warning">
      <div class="dialog-title warning-title">
        ${srvI18n.getMsg("Warning", reqVars.lang)}!
        <button onclick="document.getElementById('dlgWarning').close()" class="btn-close btn-warning">x</button>
      </div>
      <div id="warningPlace" class="msg-place">
      </div>
   </div>
  </dialog>

  <div id="dlgSuccess" class="dlg-notifier">
    <div class="success">
      <div class="dialog-title success-title">
        ${srvI18n.getMsg("Success", reqVars.lang)}!
        <button onclick="document.getElementById('dlgSuccess').close()" class="btn-close btn-success">x</button>
      </div>
      <div id="successPlace" class="msg-place">
      </div>
   </div>
  </div>

</body>
</html>
